%global pkg_name        Pod-ProjectDocs
%global pkg_version     0.34
%global rpm_pkg_version 0.34
%global rpm_pkg_release 1.n0i.7

Summary:       Generates CPAN like POD pages
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LY/LYOKATO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON) >= 1.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Pod::Parser) >= 1.32
BuildRequires: perl(Pod::ParseUtils)
BuildRequires: perl(Readonly)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
# won't compile with gcc v4
#BuildRequires: perl(Syntax::Highlight::Universal)
%endif

Requires: perl(JSON) >= 1.0
Requires: perl(Pod::Parser) >= 1.32
%global perl_filter_req 'perl\\((JSON|Pod::Parser)\\)$'


%description
This module allows you to generates CPAN like pod pages from your modules
(not only perl but also javascript including pod) for your projects.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build -- --skipdeps}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Tue Oct 30 2007 Marius Feraru <altblue@n0i.net> - 0.34-1.n0i.7
- version 0.34

* Mon Oct 15 2007 Marius Feraru <altblue@n0i.net> - 0.33-1.n0i.6
- version 0.33

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.31-1.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.31

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 0.22-1.n0i.4
- version 0.22

* Fri Oct 07 2005 Marius Feraru <altblue@n0i.net> 0.21-1.n0i.3
- version 0.21
- updated requirements

* Fri Sep 16 2005 Marius Feraru <altblue@n0i.net> 0.18-1.n0i.2
- version 0.18

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.17-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
